Page MenuHomePhabricator

Upgrade to elasticsearch 6.5.4 for cirrus / eqiad
Closed, ResolvedPublic

Event Timeline

Gehel created this task.Mar 21 2019, 1:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 21 2019, 1:17 PM
Gehel triaged this task as High priority.Mar 21 2019, 1:17 PM

Change 498082 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] elasticsearch: upgrade to elastic 6.5.4 for cirrus / eqiad

https://gerrit.wikimedia.org/r/498082

Change 498083 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] elasticsearch: deploy elasticsearch config for ES6 cirrus / eqiad

https://gerrit.wikimedia.org/r/498083

Change 498082 merged by Gehel:
[operations/puppet@production] elasticsearch: upgrade to elastic 6.5.4 for cirrus / eqiad

https://gerrit.wikimedia.org/r/498082

Change 498083 merged by Gehel:
[operations/puppet@production] elasticsearch: deploy elasticsearch config for ES6 cirrus / eqiad

https://gerrit.wikimedia.org/r/498083

Mentioned in SAL (#wikimedia-operations) [2019-03-21T18:49:04Z] <gehel> resetting archived settings on elasticsearch cirrus eqiad - T218879

Gehel added a comment.Mar 21 2019, 6:50 PM

Archived settings were reset. For reference, the settings before the reset:

gehel@durin ~> curl -s -k 'https://localhost:9243/_cluster/settings?pretty' 
{
  "persistent" : {
    "action" : {
      "destructive_requires_name" : "true"
    },
    "archived" : {
      "cluster" : {
        "routing" : {
          "allocation" : {
            "balance" : {
              "primary" : "0.005"
            }
          }
        }
      },
      "threadpool" : {
        "bulk" : {
          "queue_size" : "1000",
          "size" : "6",
          "type" : "fixed"
        }
      },
      "indices" : {
        "cache" : {
          "filter" : {
            "size" : "20%"
          }
        },
        "recovery" : {
          "concurrent_streams" : "2"
        }
      }
    },
    "cluster" : {
      "routing" : {
        "allocation" : {
          "cluster_concurrent_rebalance" : "8",
          "node_concurrent_recoveries" : "4",
          "exclude" : {
            "_ip" : ""
          },
          "node_initial_primaries_recoveries" : "3",
          "balance" : {
            "index" : "0.8",
            "threshold" : "2.0",
            "shard" : "0.195"
          },
          "enable" : "all"
        }
      }
    },
    "indices" : {
      "recovery" : {
        "max_bytes_per_sec" : "40mb"
      }
    },
    "search" : {
      "remote" : {
        "omega" : {
          "seeds" : [
            "elastic1034.eqiad.wmnet:9500",
            "elastic1040.eqiad.wmnet:9500",
            "elastic1038.eqiad.wmnet:9500"
          ]
        },
        "psi" : {
          "seeds" : [
            "elastic1052.eqiad.wmnet:9700",
            "elastic1048.eqiad.wmnet:9700",
            "elastic1050.eqiad.wmnet:9700"
          ]
        }
      }
    }
  },
  "transient" : {
    "cluster" : {
      "routing" : {
        "allocation" : {
          "disk" : {
            "watermark" : {
              "low" : "75%",
              "high" : "80%"
            }
          },
          "enable" : "primaries",
          "exclude" : {
            "_host" : "",
            "_name" : "",
            "_ip" : "10.64.32.122"
          }
        }
      }
    },
    "indices" : {
      "recovery" : {
        "max_bytes_per_sec" : "80mb"
      }
    },
    "logger" : {
      "org" : {
        "elasticsearch" : {
          "cluster" : {
            "routing" : {
              "allocation" : "INFO"
            }
          },
          "http" : "DEBUG",
          "transport" : "DEBUG"
        }
      },
      "io" : {
        "netty" : "DEBUG"
      },
      "transport" : "DEBUG"
    }
  }
}
debt closed this task as Resolved.Apr 5 2019, 10:51 PM